import request from "../../http/request";
import { getSystemInfo } from "../../utils";
/**
 * 用户信息
 * @returns
 */
export const getUserInfoApi = (userId?: any) => {
  return request({
    url: userId ? `/users/info/${userId}` : `/users/info`,
    method: "POST",
  });
};

/**
 * vip用户信息
 */

export const getVipUserInfoApi = (params) => {
  const os = getSystemInfo();
  return request({
    url: "/users/vip-info",
    method: "POST",
    data: { os, ...params },
  });
};

/**
 * vip用户角色信息
 */
export const getVipUserRoleListApi = (params) => {
  const os = getSystemInfo();
  return request({
    url: "/users/vip-role-list",
    method: "POST",
    data: { os, ...params },
  });
};
